diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/themes.php ./wordpress-3.4/wp-admin/themes.php
*** ./wordpress-3.3.2/wp-admin/themes.php	2011-11-30 19:24:39.000000000 -0600
--- ./wordpress-3.4/wp-admin/themes.php	2012-06-12 13:39:16.000000000 -0500
***************
*** 16,30 ****
  
  if ( current_user_can( 'switch_themes' ) && isset($_GET['action'] ) ) {
  	if ( 'activate' == $_GET['action'] ) {
! 		check_admin_referer('switch-theme_' . $_GET['template']);
  		switch_theme($_GET['template'], $_GET['stylesheet']);
  		wp_redirect( admin_url('themes.php?activated=true') );
  		exit;
  	} elseif ( 'delete' == $_GET['action'] ) {
! 		check_admin_referer('delete-theme_' . $_GET['template']);
! 		if ( !current_user_can('delete_themes') )
  			wp_die( __( 'Cheatin&#8217; uh?' ) );
! 		delete_theme($_GET['template']);
  		wp_redirect( admin_url('themes.php?deleted=true') );
  		exit;
  	}
--- 16,34 ----
  
  if ( current_user_can( 'switch_themes' ) && isset($_GET['action'] ) ) {
  	if ( 'activate' == $_GET['action'] ) {
! 		check_admin_referer('switch-theme_' . $_GET['stylesheet']);
! 		$theme = wp_get_theme( $_GET['stylesheet'] );
! 		if ( ! $theme->exists() || ! $theme->is_allowed() )
! 			wp_die( __( 'Cheatin&#8217; uh?' ) );
  		switch_theme($_GET['template'], $_GET['stylesheet']);
  		wp_redirect( admin_url('themes.php?activated=true') );
  		exit;
  	} elseif ( 'delete' == $_GET['action'] ) {
! 		check_admin_referer('delete-theme_' . $_GET['stylesheet']);
! 		$theme = wp_get_theme( $_GET['stylesheet'] );
! 		if ( !current_user_can('delete_themes') || ! $theme->exists() )
  			wp_die( __( 'Cheatin&#8217; uh?' ) );
! 		delete_theme($_GET['stylesheet']);
  		wp_redirect( admin_url('themes.php?deleted=true') );
  		exit;
  	}
***************
*** 38,49 ****
  if ( current_user_can( 'switch_themes' ) ) :
  
  $help_manage = '<p>' . __('Aside from the default theme included with your WordPress installation, themes are designed and developed by third parties.') . '</p>' .
! 	'<p>' . __('You can see your active theme at the top of the screen. Below are the other themes you have installed that are not currently in use. You can see what your site would look like with one of these themes by clicking the Preview link. To change themes, click the Activate link.') . '</p>';
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
! 	'content' => $help_manage,
  ) );
  
  if ( current_user_can( 'install_themes' ) ) {
--- 42,53 ----
  if ( current_user_can( 'switch_themes' ) ) :
  
  $help_manage = '<p>' . __('Aside from the default theme included with your WordPress installation, themes are designed and developed by third parties.') . '</p>' .
! 	'<p>' . __('You can see your active theme at the top of the screen. Below are the other themes you have installed that are not currently in use. You can see what your site would look like with one of these themes by clicking the Live Preview link (see "Previewing and Customizing" help tab). To change themes, click the Activate link.') . '</p>';
  
  get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __('Overview'),
! 	'content' => $help_manage
  ) );
  
  if ( current_user_can( 'install_themes' ) ) {
***************
*** 56,62 ****
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'adding-themes',
  		'title'   => __('Adding Themes'),
! 		'content' => $help_install,
  	) );
  }
  
--- 60,82 ----
  	get_current_screen()->add_help_tab( array(
  		'id'      => 'adding-themes',
  		'title'   => __('Adding Themes'),
! 		'content' => $help_install
! 	) );
! }
! 
! endif; // switch_themes
! 
! if ( current_user_can( 'edit_theme_options' ) ) {
! 	$help_customize =
! 		'<p>' . __('Click on the "Live Preview" link under any theme to preview that theme and change theme options in a separate, full-screen view. Any installed theme can be previewed and customized in this way.') . '</p>'.
! 		'<p>' . __('The theme being previewed is fully interactive &mdash; navigate to different pages to see how the theme handles posts, archives, and other page templates.') . '</p>' .
! 		'<p>' . __('In the left-hand pane you can edit the theme settings. The settings will differ, depending on what theme features the theme being previewed supports. To accept the new settings and activate the theme all in one step, click the "Save &amp; Activate" button at the top of the left-hand pane.') . '</p>' .
! 		'<p>' . __('When previewing on smaller monitors, you can use the "Collapse" icon at the bottom of the left-hand pane. This will hide the pane, giving you more room to preview your site in the new theme. To bring the pane back, click on the Collapse icon again.') . '</p>';
! 
! 	get_current_screen()->add_help_tab( array(
! 		'id'		=> 'customize-preview-themes',
! 		'title'		=> __('Previewing and Customizing'),
! 		'content'	=> $help_customize
  	) );
  }
  
***************
*** 66,92 ****
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
- add_thickbox();
- wp_enqueue_script( 'theme-preview' );
  wp_enqueue_script( 'theme' );
! 
! endif;
  
  require_once('./admin-header.php');
  ?>
  
- <?php if ( ! validate_current_theme() ) : ?>
- <div id="message1" class="updated"><p><?php _e('The active theme is broken.  Reverting to the default theme.'); ?></p></div>
- <?php elseif ( isset($_GET['activated']) ) :
- 		if ( isset($wp_registered_sidebars) && count( (array) $wp_registered_sidebars ) && current_user_can('edit_theme_options') ) { ?>
- <div id="message2" class="updated"><p><?php printf( __('New theme activated. This theme supports widgets, please visit the <a href="%s">widgets settings</a> screen to configure them.'), admin_url( 'widgets.php' ) ); ?></p></div><?php
- 		} else { ?>
- <div id="message2" class="updated"><p><?php printf( __( 'New theme activated. <a href="%s">Visit site</a>' ), home_url( '/' ) ); ?></p></div><?php
- 		}
- 	elseif ( isset($_GET['deleted']) ) : ?>
- <div id="message3" class="updated"><p><?php _e('Theme deleted.') ?></p></div>
- <?php endif; ?>
- 
  <div class="wrap"><?php
  screen_icon();
  if ( ! is_multisite() && current_user_can( 'install_themes' ) ) : ?>
--- 86,97 ----
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
  );
  
  wp_enqueue_script( 'theme' );
! wp_enqueue_script( 'customize-loader' );
  
  require_once('./admin-header.php');
  ?>
  
  <div class="wrap"><?php
  screen_icon();
  if ( ! is_multisite() && current_user_can( 'install_themes' ) ) : ?>
***************
*** 96,113 ****
  <h2><?php echo esc_html( $title ); ?>
  <?php endif; ?>
  </h2>
  
- <h3><?php _e('Current Theme'); ?></h3>
- <div id="current-theme">
- <?php if ( $ct->screenshot ) : ?>
- <img src="<?php echo $ct->theme_root_uri . '/' . $ct->stylesheet . '/' . $ct->screenshot; ?>" alt="<?php esc_attr_e('Current theme preview'); ?>" />
- <?php endif; ?>
- <h4><?php
- 	/* translators: 1: theme title, 2: theme version, 3: theme author */
- 	printf(__('%1$s %2$s by %3$s'), $ct->title, $ct->version, $ct->author) ; ?></h4>
- <p class="theme-description"><?php echo $ct->description; ?></p>
- <div class="theme-options">
- 	<span><?php _e( 'Options:' )?></span>
  	<?php
  	// Pretend you didn't see this.
  	$options = array();
--- 101,153 ----
  <h2><?php echo esc_html( $title ); ?>
  <?php endif; ?>
  </h2>
+ <?php
+ if ( ! validate_current_theme() || isset( $_GET['broken'] ) ) : ?>
+ <div id="message1" class="updated"><p><?php _e('The active theme is broken. Reverting to the default theme.'); ?></p></div>
+ <?php elseif ( isset($_GET['activated']) ) :
+ 		if ( isset( $_GET['previewed'] ) ) { ?>
+ 		<div id="message2" class="updated"><p><?php printf( __( 'Settings saved and theme activated. <a href="%s">Visit site</a>.' ), home_url( '/' ) ); ?></p></div>
+ 		<?php } elseif ( isset($wp_registered_sidebars) && count( (array) $wp_registered_sidebars ) && current_user_can('edit_theme_options') ) { ?>
+ <div id="message2" class="updated"><p><?php printf( __('New theme activated. This theme supports widgets, please visit the <a href="%s">widgets settings</a> screen to configure them.'), admin_url( 'widgets.php' ) ); ?></p></div><?php
+ 		} else { ?>
+ <div id="message2" class="updated"><p><?php printf( __( 'New theme activated. <a href="%s">Visit site</a>' ), home_url( '/' ) ); ?></p></div><?php
+ 		}
+ 	elseif ( isset($_GET['deleted']) ) : ?>
+ <div id="message3" class="updated"><p><?php _e('Theme deleted.') ?></p></div>
+ <?php
+ endif;
+ 
+ $ct = wp_get_theme();
+ $screenshot = $ct->get_screenshot();
+ $class = $screenshot ? 'has-screenshot' : '';
+ 
+ $customize_title = sprintf( __( 'Customize &#8220;%s&#8221;' ), $ct->display('Name') );
+ 
+ ?>
+ <div id="current-theme" class="<?php echo esc_attr( $class ); ?>">
+ 	<?php if ( $screenshot ) : ?>
+ 		<?php if ( current_user_can( 'edit_theme_options' ) ) : ?>
+ 		<a href="<?php echo wp_customize_url(); ?>" class="load-customize hide-if-no-customize" title="<?php echo esc_attr( $customize_title ); ?>">
+ 			<img src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' ); ?>" />
+ 		</a>
+ 		<?php endif; ?>
+ 		<img class="hide-if-customize" src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' ); ?>" />
+ 	<?php endif; ?>
+ 
+ 	<h3><?php _e('Current Theme'); ?></h3>
+ 	<h4>
+ 		<?php echo $ct->display('Name'); ?>
+ 	</h4>
+ 
+ 	<div>
+ 		<ul class="theme-info">
+ 			<li><?php printf( __('By %s'), $ct->display('Author') ); ?></li>
+ 			<li><?php printf( __('Version %s'), $ct->display('Version') ); ?></li>
+ 		</ul>
+ 		<p class="theme-description"><?php echo $ct->display('Description'); ?></p>
+ 		<?php theme_update_available( $ct ); ?>
+ 	</div>
  
  	<?php
  	// Pretend you didn't see this.
  	$options = array();
***************
*** 117,126 ****
  			if ( 'themes.php' == $item[2] || 'theme-editor.php' == $item[2] )
  				continue;
  			// 0 = name, 1 = capability, 2 = file
! 			if ( ( strcmp($self, $item[2]) == 0 && empty($parent_file)) || ($parent_file && ($item[2] == $parent_file)) ) $class = ' class="current"';
! 
  			if ( !empty($submenu[$item[2]]) ) {
! 				$submenu[$item[2]] = array_values($submenu[$item[2]]);  // Re-index.
  				$menu_hook = get_plugin_page_hook($submenu[$item[2]][0][2], $item[2]);
  				if ( file_exists(WP_PLUGIN_DIR . "/{$submenu[$item[2]][0][2]}") || !empty($menu_hook))
  					$options[] = "<a href='admin.php?page={$submenu[$item[2]][0][2]}'$class>{$item[0]}</a>";
--- 157,166 ----
  			if ( 'themes.php' == $item[2] || 'theme-editor.php' == $item[2] )
  				continue;
  			// 0 = name, 1 = capability, 2 = file
! 			if ( ( strcmp($self, $item[2]) == 0 && empty($parent_file)) || ($parent_file && ($item[2] == $parent_file)) )
! 				$class = ' class="current"';
  			if ( !empty($submenu[$item[2]]) ) {
! 				$submenu[$item[2]] = array_values($submenu[$item[2]]); // Re-index.
  				$menu_hook = get_plugin_page_hook($submenu[$item[2]][0][2], $item[2]);
  				if ( file_exists(WP_PLUGIN_DIR . "/{$submenu[$item[2]][0][2]}") || !empty($menu_hook))
  					$options[] = "<a href='admin.php?page={$submenu[$item[2]][0][2]}'$class>{$item[0]}</a>";
***************
*** 135,147 ****
  			}
  		}
  	}
- 	echo implode ( ' | ', $options );
  
! 	if ( $ct->tags ) : ?>
! 	<p><?php _e('Tags:'); ?> <?php echo join(', ', $ct->tags); ?></p>
! 	<?php endif; ?>
! </div>
! <?php theme_update_available($ct); ?>
  
  </div>
  
--- 175,201 ----
  			}
  		}
  	}
  
! 	if ( $options || current_user_can( 'edit_theme_options' ) ) :
! 	?>
! 	<div class="theme-options">
! 		<?php if ( current_user_can( 'edit_theme_options' ) ) : ?>
! 		<a id="customize-current-theme-link" href="<?php echo wp_customize_url(); ?>" class="load-customize hide-if-no-customize" title="<?php echo esc_attr( $customize_title ); ?>"><?php _e( 'Customize' ); ?></a>
! 		<?php
! 		endif; // edit_theme_options
! 		if ( $options ) :
! 		?>
! 		<span><?php _e( 'Options:' )?></span>
! 		<ul>
! 			<?php foreach ( $options as $option ) : ?>
! 				<li><?php echo $option; ?></li>
! 			<?php endforeach; ?>
! 		</ul>
! 	</div>
! 	<?php
! 		endif; // options
! 	endif; // options || edit_theme_options
! 	?>
  
  </div>
  
***************
*** 154,174 ****
  }
  ?>
  
! <h3><?php _e('Available Themes'); ?></h3>
  
! <?php if ( !empty( $_REQUEST['s'] ) || !empty( $_REQUEST['filter'] ) || $wp_list_table->has_items() ) : ?>
  
! <form class="search-form filter-form" action="" method="get">
  
  <p class="search-box">
  	<label class="screen-reader-text" for="theme-search-input"><?php _e('Search Installed Themes'); ?>:</label>
! 	<input type="text" id="theme-search-input" name="s" value="<?php _admin_search_query(); ?>" />
  	<?php submit_button( __( 'Search Installed Themes' ), 'button', false, false, array( 'id' => 'search-submit' ) ); ?>
  	<a id="filter-click" href="?filter=1"><?php _e( 'Feature Filter' ); ?></a>
  </p>
  
- <br class="clear"/>
- 
  <div id="filter-box" style="<?php if ( empty($_REQUEST['filter']) ) echo 'display: none;'; ?>">
  <?php $feature_list = get_theme_feature_list(); ?>
  	<div class="feature-filter">
--- 208,226 ----
  }
  ?>
  
! <form class="search-form filter-form" action="" method="get">
  
! <h3 class="available-themes"><?php _e('Available Themes'); ?></h3>
  
! <?php if ( !empty( $_REQUEST['s'] ) || !empty( $_REQUEST['features'] ) || $wp_list_table->has_items() ) : ?>
  
  <p class="search-box">
  	<label class="screen-reader-text" for="theme-search-input"><?php _e('Search Installed Themes'); ?>:</label>
! 	<input type="search" id="theme-search-input" name="s" value="<?php _admin_search_query(); ?>" />
  	<?php submit_button( __( 'Search Installed Themes' ), 'button', false, false, array( 'id' => 'search-submit' ) ); ?>
  	<a id="filter-click" href="?filter=1"><?php _e( 'Feature Filter' ); ?></a>
  </p>
  
  <div id="filter-box" style="<?php if ( empty($_REQUEST['filter']) ) echo 'display: none;'; ?>">
  <?php $feature_list = get_theme_feature_list(); ?>
  	<div class="feature-filter">
***************
*** 198,216 ****
  	<?php endforeach; ?>
  
  	<div class="feature-container">
! 		<?php submit_button( __( 'Apply Filters' ), 'button-secondary submitter', false, false, array( 'style' => 'margin-left: 120px', 'id' => 'filter-submit' ) ); ?>
  		&nbsp;
! 		<small><a id="mini-filter-click" href="<?php echo esc_url( remove_query_arg( array('filter', 'features', 'submit') ) ); ?>"><?php _e( 'Close filters' )?></a></small>
  	</div>
  	<br/>
  	</div>
  	<br class="clear"/>
  </div>
  
- <br class="clear" />
- 
  <?php endif; ?>
  
  <?php $wp_list_table->display(); ?>
  
  </form>
--- 250,268 ----
  	<?php endforeach; ?>
  
  	<div class="feature-container">
! 		<?php submit_button( __( 'Apply Filters' ), 'button-secondary submitter', false, false, array( 'id' => 'filter-submit' ) ); ?>
  		&nbsp;
! 		<a id="mini-filter-click" href="<?php echo esc_url( remove_query_arg( array('filter', 'features', 'submit') ) ); ?>"><?php _e( 'Close filters' )?></a>
  	</div>
  	<br/>
  	</div>
  	<br class="clear"/>
  </div>
  
  <?php endif; ?>
  
+ <br class="clear" />
+ 
  <?php $wp_list_table->display(); ?>
  
  </form>
***************
*** 218,225 ****
  
  <?php
  // List broken themes, if any.
! $broken_themes = get_broken_themes();
! if ( current_user_can('edit_themes') && count( $broken_themes ) ) {
  ?>
  
  <h3><?php _e('Broken Themes'); ?></h3>
--- 270,276 ----
  
  <?php
  // List broken themes, if any.
! if ( ! is_multisite() && current_user_can('edit_themes') && $broken_themes = wp_get_themes( array( 'errors' => true ) ) ) {
  ?>
  
  <h3><?php _e('Broken Themes'); ?></h3>
***************
*** 231,250 ****
  		<th><?php _e('Description'); ?></th>
  	</tr>
  <?php
! 	$theme = '';
! 
! 	$theme_names = array_keys($broken_themes);
! 	natcasesort($theme_names);
! 
! 	foreach ($theme_names as $theme_name) {
! 		$title = $broken_themes[$theme_name]['Title'];
! 		$description = $broken_themes[$theme_name]['Description'];
! 
! 		$theme = ('class="alternate"' == $theme) ? '' : 'class="alternate"';
  		echo "
! 		<tr $theme>
! 			 <td>$title</td>
! 			 <td>$description</td>
  		</tr>";
  	}
  ?>
--- 282,294 ----
  		<th><?php _e('Description'); ?></th>
  	</tr>
  <?php
! 	$alt = '';
! 	foreach ( $broken_themes as $broken_theme ) {
! 		$alt = ('class="alternate"' == $alt) ? '' : 'class="alternate"';
  		echo "
! 		<tr $alt>
! 			 <td>" . $broken_theme->get('Name') ."</td>
! 			 <td>" . $broken_theme->errors()->get_error_message() . "</td>
  		</tr>";
  	}
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/tools.php ./wordpress-3.4/wp-admin/tools.php
*** ./wordpress-3.3.2/wp-admin/tools.php	2011-11-30 19:17:14.000000000 -0600
--- ./wordpress-3.4/wp-admin/tools.php	2012-05-05 14:09:08.000000000 -0500
***************
*** 19,26 ****
  get_current_screen()->add_help_tab( array(
  	'id'      => 'converter',
  	'title'   => __('Categories and Tags Converter'),
! 	'content' => '<p>' . __('Categories have hierarchy, meaning that you can nest sub-categories. Tags do not have hierachy and cannot be nested. Sometimes people start out using one on their posts, then later realize that the other would work better for their content.' ) . '</p>' .
! 	'<p>' . __( 'The Categories and Tags Converter link on this screen will take you to the Import screen, where that Converter is one of the plugins you can install. Once that plugin is installed, return to this screen  and the link will take you to a screen where you can choose to convert tags into categories or vice versa.' ) . '</p>',
  ) );
  
  get_current_screen()->set_help_sidebar(
--- 19,26 ----
  get_current_screen()->add_help_tab( array(
  	'id'      => 'converter',
  	'title'   => __('Categories and Tags Converter'),
! 	'content' => '<p>' . __('Categories have hierarchy, meaning that you can nest sub-categories. Tags do not have hierarchy and cannot be nested. Sometimes people start out using one on their posts, then later realize that the other would work better for their content.' ) . '</p>' .
! 	'<p>' . __( 'The Categories and Tags Converter link on this screen will take you to the Import screen, where that Converter is one of the plugins you can install. Once that plugin is installed, the Activate Plugin &amp; Run Importer link will take you to a screen where you can choose to convert tags into categories or vice versa.' ) . '</p>',
  ) );
  
  get_current_screen()->set_help_sidebar(
***************
*** 69,72 ****
  </div>
  <?php
  include('./admin-footer.php');
- ?>
--- 69,71 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/update-core.php ./wordpress-3.4/wp-admin/update-core.php
*** ./wordpress-3.3.2/wp-admin/update-core.php	2011-12-01 17:04:26.000000000 -0600
--- ./wordpress-3.4/wp-admin/update-core.php	2012-05-25 08:41:01.000000000 -0500
***************
*** 36,42 ****
  	$mysql_version  = $wpdb->db_version();
  	$show_buttons = true;
  	if ( 'development' == $update->response ) {
! 		$message = __('You are using a development version of WordPress.  You can update to the latest nightly build automatically or download the nightly build and install it manually:');
  		$download = __('Download nightly build');
  	} else {
  		if ( $current ) {
--- 36,42 ----
  	$mysql_version  = $wpdb->db_version();
  	$show_buttons = true;
  	if ( 'development' == $update->response ) {
! 		$message = __('You are using a development version of WordPress. You can update to the latest nightly build automatically or download the nightly build and install it manually:');
  		$download = __('Download nightly build');
  	} else {
  		if ( $current ) {
***************
*** 180,186 ****
  		echo '<p>' . __( 'While your site is being updated, it will be in maintenance mode. As soon as your updates are complete, your site will return to normal.' ) . '</p>';
  	} else {
  		list( $normalized_version ) = explode( '-', $wp_version );
! 		echo '<p>' . sprintf( __( '<a href="%s">Learn more about WordPress %s</a>.' ), esc_url( admin_url( 'about.php' ) ), $normalized_version ) . '</p>';
  	}
  	dismissed_updates();
  
--- 180,186 ----
  		echo '<p>' . __( 'While your site is being updated, it will be in maintenance mode. As soon as your updates are complete, your site will return to normal.' ) . '</p>';
  	} else {
  		list( $normalized_version ) = explode( '-', $wp_version );
! 		echo '<p>' . sprintf( __( '<a href="%s">Learn more about WordPress %s</a>.' ), esc_url( self_admin_url( 'about.php' ) ), $normalized_version ) . '</p>';
  	}
  	dismissed_updates();
  
***************
*** 260,266 ****
  			$upgrade_notice = '';
  		}
  
! 		$details_url = self_admin_url('plugin-install.php?tab=plugin-information&plugin=' . $plugin_data->update->slug . '&TB_iframe=true&width=640&height=662');
  		$details_text = sprintf(__('View version %1$s details'), $plugin_data->update->new_version);
  		$details = sprintf('<a href="%1$s" class="thickbox" title="%2$s">%3$s</a>.', esc_url($details_url), esc_attr($plugin_data->Name), $details_text);
  
--- 260,266 ----
  			$upgrade_notice = '';
  		}
  
! 		$details_url = self_admin_url('plugin-install.php?tab=plugin-information&plugin=' . $plugin_data->update->slug . '&section=changelog&TB_iframe=true&width=640&height=662');
  		$details_text = sprintf(__('View version %1$s details'), $plugin_data->update->new_version);
  		$details = sprintf('<a href="%1$s" class="thickbox" title="%2$s">%3$s</a>.', esc_url($details_url), esc_attr($plugin_data->Name), $details_text);
  
***************
*** 311,323 ****
  	</tfoot>
  	<tbody class="plugins">
  <?php
! 	foreach ( (array) $themes as $stylesheet => $theme_data) {
! 		$screenshot = $theme_data->{'Theme Root URI'} . '/' . $stylesheet . '/' . $theme_data->Screenshot;
! 
  		echo "
  	<tr class='active'>
! 		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr($stylesheet) . "' /></th>
! 		<td class='plugin-title'><img src='$screenshot' width='64' height='64' style='float:left; padding: 0 5px 5px' /><strong>{$theme_data->Name}</strong>" .  sprintf(__('You have version %1$s installed. Update to %2$s.'), $theme_data->Version, $theme_data->update['new_version']) . "</td>
  	</tr>";
  	}
  ?>
--- 311,321 ----
  	</tfoot>
  	<tbody class="plugins">
  <?php
! 	foreach ( $themes as $stylesheet => $theme ) {
  		echo "
  	<tr class='active'>
! 		<th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr( $stylesheet ) . "' /></th>
! 		<td class='plugin-title'><img src='" . esc_url( $theme->get_screenshot() ) . "' width='64' height='64' style='float:left; padding: 0 5px 5px' /><strong>" . $theme->display('Name') . '</strong> ' . sprintf( __( 'You have version %1$s installed. Update to %2$s.' ), $theme->display('Version'), $theme->update['new_version'] ) . "</td>
  	</tr>";
  	}
  ?>
***************
*** 383,394 ****
  	}
  
  	show_message( __('WordPress updated successfully') );
! 	show_message( '<span class="hide-if-no-js">' . sprintf( __( 'Welcome to WordPress %1$s. You will be redirected to the About WordPress screen. If not, click <a href="%s">here</a>.' ), $result, esc_url( admin_url( 'about.php?updated' ) ) ) . '</span>' );
! 	show_message( '<span class="hide-if-js">' . sprintf( __( 'Welcome to WordPress %1$s. <a href="%2$s">Learn more</a>.' ), $result, esc_url( admin_url( 'about.php?updated' ) ) ) . '</span>' );
  	?>
  	</div>
  	<script type="text/javascript">
! 	window.location = '<?php echo admin_url( 'about.php?upgraded' ); ?>';
  	</script>
  	<?php
  }
--- 380,391 ----
  	}
  
  	show_message( __('WordPress updated successfully') );
! 	show_message( '<span class="hide-if-no-js">' . sprintf( __( 'Welcome to WordPress %1$s. You will be redirected to the About WordPress screen. If not, click <a href="%s">here</a>.' ), $result, esc_url( self_admin_url( 'about.php?updated' ) ) ) . '</span>' );
! 	show_message( '<span class="hide-if-js">' . sprintf( __( 'Welcome to WordPress %1$s. <a href="%2$s">Learn more</a>.' ), $result, esc_url( self_admin_url( 'about.php?updated' ) ) ) . '</span>' );
  	?>
  	</div>
  	<script type="text/javascript">
! 	window.location = '<?php echo self_admin_url( 'about.php?updated' ); ?>';
  	</script>
  	<?php
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/update.php ./wordpress-3.4/wp-admin/update.php
*** ./wordpress-3.3.2/wp-admin/update.php	2011-08-28 03:42:07.000000000 -0500
--- ./wordpress-3.4/wp-admin/update.php	2012-04-16 09:02:28.000000000 -0500
***************
*** 152,159 ****
  
  		check_admin_referer('upgrade-theme_' . $theme);
  
! 		add_thickbox();
! 		wp_enqueue_script('theme-preview');
  		$title = __('Update Theme');
  		$parent_file = 'themes.php';
  		$submenu_file = 'themes.php';
--- 152,159 ----
  
  		check_admin_referer('upgrade-theme_' . $theme);
  
! 		wp_enqueue_script( 'customize-loader' );
! 
  		$title = __('Update Theme');
  		$parent_file = 'themes.php';
  		$submenu_file = 'themes.php';
***************
*** 199,211 ****
  		include_once ABSPATH . 'wp-admin/includes/theme-install.php'; //for themes_api..
  
  		check_admin_referer('install-theme_' . $theme);
! 		$api = themes_api('theme_information', array('slug' => $theme, 'fields' => array('sections' => false) ) ); //Save on a bit of bandwidth.
  
  		if ( is_wp_error($api) )
  	 		wp_die($api);
  
! 		add_thickbox();
! 		wp_enqueue_script('theme-preview');
  		$title = __('Install Themes');
  		$parent_file = 'themes.php';
  		$submenu_file = 'themes.php';
--- 199,211 ----
  		include_once ABSPATH . 'wp-admin/includes/theme-install.php'; //for themes_api..
  
  		check_admin_referer('install-theme_' . $theme);
! 		$api = themes_api('theme_information', array('slug' => $theme, 'fields' => array('sections' => false, 'tags' => false) ) ); //Save on a bit of bandwidth.
  
  		if ( is_wp_error($api) )
  	 		wp_die($api);
  
! 		wp_enqueue_script( 'customize-loader' );
! 
  		$title = __('Install Themes');
  		$parent_file = 'themes.php';
  		$submenu_file = 'themes.php';
***************
*** 230,240 ****
  
  		$file_upload = new File_Upload_Upgrader('themezip', 'package');
  
  		$title = __('Upload Theme');
  		$parent_file = 'themes.php';
  		$submenu_file = 'theme-install.php';
! 		add_thickbox();
! 		wp_enqueue_script('theme-preview');
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
  		$title = sprintf( __('Installing Theme from uploaded file: %s'), basename( $file_upload->filename ) );
--- 230,241 ----
  
  		$file_upload = new File_Upload_Upgrader('themezip', 'package');
  
+ 		wp_enqueue_script( 'customize-loader' );
+ 
  		$title = __('Upload Theme');
  		$parent_file = 'themes.php';
  		$submenu_file = 'theme-install.php';
! 
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
  		$title = sprintf( __('Installing Theme from uploaded file: %s'), basename( $file_upload->filename ) );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/upgrade-functions.php ./wordpress-3.4/wp-admin/upgrade-functions.php
*** ./wordpress-3.3.2/wp-admin/upgrade-functions.php	2008-08-14 01:30:38.000000000 -0500
--- ./wordpress-3.4/wp-admin/upgrade-functions.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 10,13 ****
  
  _deprecated_file( basename(__FILE__), '2.5', 'wp-admin/includes/upgrade.php' );
  require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
- ?>
--- 10,12 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/upgrade.php ./wordpress-3.4/wp-admin/upgrade.php
*** ./wordpress-3.3.2/wp-admin/upgrade.php	2011-10-25 00:29:28.000000000 -0500
--- ./wordpress-3.4/wp-admin/upgrade.php	2012-02-16 22:57:56.000000000 -0600
***************
*** 27,33 ****
  else
  	$step = 0;
  
! // Do it.  No output.
  if ( 'upgrade_db' === $step ) {
  	wp_upgrade();
  	die( '0' );
--- 27,33 ----
  else
  	$step = 0;
  
! // Do it. No output.
  if ( 'upgrade_db' === $step ) {
  	wp_upgrade();
  	die( '0' );
***************
*** 56,62 ****
  	?>
  </head>
  <body>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
  
  <?php if ( get_option( 'db_version' ) == $wp_db_version || !is_blog_installed() ) : ?>
  
--- 56,62 ----
  	?>
  </head>
  <body>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png?ver=20120216" /></h1>
  
  <?php if ( get_option( 'db_version' ) == $wp_db_version || !is_blog_installed() ) : ?>
  
***************
*** 88,94 ****
  	case 1:
  		wp_upgrade();
  
! 			$backto = !empty($_GET['backto']) ? stripslashes( urldecode( $_GET['backto'] ) ) :  __get_option( 'home' ) . '/';
  			$backto = esc_url( $backto );
  			$backto = wp_validate_redirect($backto, __get_option( 'home' ) . '/');
  ?>
--- 88,94 ----
  	case 1:
  		wp_upgrade();
  
! 			$backto = !empty($_GET['backto']) ? stripslashes( urldecode( $_GET['backto'] ) ) : __get_option( 'home' ) . '/';
  			$backto = esc_url( $backto );
  			$backto = wp_validate_redirect($backto, __get_option( 'home' ) . '/');
  ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/upload.php ./wordpress-3.4/wp-admin/upload.php
*** ./wordpress-3.3.2/wp-admin/upload.php	2011-11-30 22:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/upload.php	2012-04-11 19:16:37.000000000 -0500
***************
*** 176,182 ****
  
  <div class="wrap">
  <?php screen_icon(); ?>
! <h2><?php echo esc_html( $title ); ?> <a href="media-new.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'file'); ?></a> <?php
  if ( ! empty( $_REQUEST['s'] ) )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
--- 176,187 ----
  
  <div class="wrap">
  <?php screen_icon(); ?>
! <h2>
! <?php
! echo esc_html( $title );
! if ( current_user_can( 'upload_files' ) ) { ?>
! 	<a href="media-new.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'file'); ?></a><?php
! }
  if ( ! empty( $_REQUEST['s'] ) )
  	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', get_search_query() ); ?>
  </h2>
